Bug 142746 - devel/p5-Mixin-Linewise missing dependency
Summary: devel/p5-Mixin-Linewise missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-12 12:10 UTC by Eugene Mychlo
Modified: 2010-02-01 07:30 UTC (History)
0 users

See Also:


Attachments
file.diff (666 bytes, patch)
2010-01-12 12:10 UTC, Eugene Mychlo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Mychlo 2010-01-12 12:10:03 UTC
This port is missing devel/p5-Sub-Exporter as dependency.

Fix: Patch attached with submission follows:
How-To-Repeat: Install devel/p5-Mixin-Linewise
Try to run perl -MMixin::Linewise::Readers -e 'Mixin::Linewise::Readers->read_file("test")'
Comment 1 Edwin Groothuis freebsd_committer 2010-01-12 12:10:16 UTC
Maintainer of devel/p5-Mixin-Linewise,

Please note that PR ports/142746 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142746

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-12 12:10:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wen Heping freebsd_committer 2010-01-13 00:22:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-02-01 07:21:26 UTC
wen         2010-02-01 07:21:12 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-Mixin-Linewise Makefile 
  Log:
  - Add missing DEPENDS
  
  PR:             ports/142746
  Submitted by:   Eugene Mychlo <myc@barev.net>
  Approved by:    maintainer(timeout, > 2 weeks)
  
  Revision  Changes    Path
  1.2       +4 -0      ports/devel/p5-Mixin-Linewise/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2010-02-01 07:22:32 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!